<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lpa__wifi__olm_8h" kind="file" language="C++">
    <compoundname>cy_lpa_wifi_olm.h</compoundname>
    <includes local="no">stdbool.h</includes>
    <includes local="no">stdio.h</includes>
    <includes local="no">stdint.h</includes>
    <includes local="yes" refid="cy__lpa__wifi__ol__common_8h">cy_lpa_wifi_ol_common.h</includes>
    <includedby local="yes" refid="cy__lpa__wifi__ol__priv_8h">cy_lpa_wifi_ol_priv.h</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__olm_8c">cy_lpa_wifi_olm.c</includedby>
    <incdepgraph>
      <node id="31">
        <label>cy_lpa_wifi_olm.h</label>
        <link refid="cy__lpa__wifi__olm_8h" />
        <childnode refid="32" relation="include">
        </childnode>
        <childnode refid="33" relation="include">
        </childnode>
        <childnode refid="34" relation="include">
        </childnode>
      </node>
      <node id="32">
        <label>stdbool.h</label>
      </node>
      <node id="34">
        <label>stdint.h</label>
      </node>
      <node id="33">
        <label>stdio.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structolm__t">olm_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__lpa__wifi__olm_8h_1a4ae4cfd2c2e944573200b4e53ba3c558" kind="define" prot="public" static="no">
        <name>OLM_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="18" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="18" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1ad2511e6dbf66899397ef4c2f322dc264" kind="define" prot="public" static="no">
        <name>OLM_LOG_ENABLED</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="28" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="28" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a785feda8e3f646320105089659299bab" kind="define" prot="public" static="no">
        <name>LPA_BCNTRIM</name>
        <initializer>9</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="32" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="32" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1aeaaf707fa590aa4cb5bd54604f6c699e" kind="define" prot="public" static="no">
        <name>LPA_BCN_WAIT_PERIOD</name>
        <initializer>10</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="35" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a0069d6c5841f63db984eb61bed040a0e" kind="define" prot="public" static="no">
        <name>LPA_BCN_REACQUIRE_START</name>
        <initializer>3</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="38" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a97241f6f51b7adeea6aeb861b197bfcd" kind="define" prot="public" static="no">
        <name>LPA_ROAM_TIME_THRESHOLD</name>
        <initializer>4</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="43" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1ab79e71a2433b51fbb816d69a8540f1d1" kind="define" prot="public" static="no">
        <name>LPA_PM2_SLEEP_RET_TIME</name>
        <initializer>10</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="50" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a0ebe87491f8b9782266abb3d290cb365" kind="define" prot="public" static="no">
        <name>OL_LOG</name>
        <param><defname>...</defname></param>
        <initializer><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(__VA_ARGS__)</initializer>
        <briefdescription>
<para>&lt; Offload Logging Macros </para>        </briefdescription>
        <detaileddescription>
<para>ex: OL_LOG(LOG_OLA_ARP, LOG_OLA_LVL_NOTICE, "ARP OL IP: %s\n", ip_string); </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="215" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="215" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1af100928363b7f0aac2dae9449026bc04" kind="define" prot="public" static="no">
        <name>OL_LOG_OLM</name>
        <param><defname>...</defname></param>
        <initializer><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(<ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaaa94b6b90f820054e84209421a8daa735">LOG_OLA_OLM</ref>, __VA_ARGS__)</initializer>
        <briefdescription>
<para>ex: OL_LOG_ARP(LOG_OLA_LVL_NOTICE, "ARP OL IP: %s\n", ip_string); </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="217" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="217" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a96c906d4dcaa51608530f01f77207581" kind="define" prot="public" static="no">
        <name>OL_LOG_ARP</name>
        <param><defname>...</defname></param>
        <initializer><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(<ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa24fcf370e1b12cf30f9af2337bbad284">LOG_OLA_ARP</ref>, __VA_ARGS__)</initializer>
        <briefdescription>
<para>ex: OL_LOG_ARP(LOG_OLA_LVL_NOTICE, "ARP OL IP: %s\n", ip_string); </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="218" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="218" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1aae601bb21402d105e45fa8f7bd02baab" kind="define" prot="public" static="no">
        <name>OL_LOG_PF</name>
        <param><defname>...</defname></param>
        <initializer><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(<ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa7985d1e348db8f46ab2c7b99b8c7bda4">LOG_OLA_PF</ref>, __VA_ARGS__)</initializer>
        <briefdescription>
<para>ex: OL_LOG_PF(LOG_OLA_LVL_ERR, "PF: Bad Args\n"); </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="219" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="219" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__olm_8h_1a11dcee88f2ec2375c2fc789b8a7e9e34" kind="define" prot="public" static="no">
        <name>OL_LOG_TKO</name>
        <param><defname>...</defname></param>
        <initializer><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(<ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaae7cbadaf0dc8ae8f78fa67c4c9303dbd">LOG_OLA_TKO</ref>, __VA_ARGS__)</initializer>
        <briefdescription>
<para>ex: OL_LOG_TKO(LOG_OLA_LVL_ERR, "PF: Bad Args\n"); </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="220" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="220" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa" kind="enum" prot="public" static="no">
        <name>LOG_OFFLOAD_ASSIST_T</name>
        <enumvalue id="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaaa94b6b90f820054e84209421a8daa735" prot="public">
          <name>LOG_OLA_OLM</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>LOG assist OLM. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa24fcf370e1b12cf30f9af2337bbad284" prot="public">
          <name>LOG_OLA_ARP</name>
          <briefdescription>
<para>LOG assist ARP. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa7985d1e348db8f46ab2c7b99b8c7bda4" prot="public">
          <name>LOG_OLA_PF</name>
          <briefdescription>
<para>LOG assist PF. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaae7cbadaf0dc8ae8f78fa67c4c9303dbd" prot="public">
          <name>LOG_OLA_TKO</name>
          <briefdescription>
<para>LOG assist TKO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaaa6ad746031a25a3f74efdcf4b64c3d27" prot="public">
          <name>LOG_OLA_MAX_INDEX</name>
          <briefdescription>
<para>LOG assist MAX. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>LOG_OFFLOAD_ASSIST_T: </bold><linebreak />Log offload assist enumerations.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="152" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="146" />
      </memberdef>
      <memberdef id="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca" kind="enum" prot="public" static="no">
        <name>LOG_OFFLOAD_ASSIST_LEVEL_T</name>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa885ca3b24af3b644a5c3c9ece21d5857" prot="public">
          <name>LOG_OLA_LVL_OFF</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>LOG LEVEL OFF. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa28cfe3ac0a59e4b1eb5fcc8bb66ea448" prot="public">
          <name>LOG_OLA_LVL_ERR</name>
          <briefdescription>
<para>LOG LEVEL ERROR. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa909182644928c71917421d3c391f7e01" prot="public">
          <name>LOG_OLA_LVL_WARNING</name>
          <briefdescription>
<para>LOG LEVEL WARNING. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa0c0311889c1af41cf2a83fed72e84d95" prot="public">
          <name>LOG_OLA_LVL_NOTICE</name>
          <briefdescription>
<para>LOG LEVEL NOTICE. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caaae0aaa77cdc5cc4cb182b6895180bc06" prot="public">
          <name>LOG_OLA_LVL_INFO</name>
          <briefdescription>
<para>LOG LEVEL INFO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa26b3868238e0db241dad3cb0fd4fa6c2" prot="public">
          <name>LOG_OLA_LVL_DEBUG</name>
          <briefdescription>
<para>LOG LEVEL DEBUG. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa3982463409fd7b06f63a041b2bf3dc36" prot="public">
          <name>LOG_OLA_LVL_MAX_INDEX</name>
          <briefdescription>
<para>LOG LEVEL MAX INDEX NOT USED. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>LOG_OFFLOAD_ASSIST_LEVEL_T: </bold><linebreak />Log Level enumerations.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="166" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="157" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1ga22f9efd980cb8dd6b081967a217c05c9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_init</definition>
        <argsstring>(olm_t *olm, const struct ol_desc *ol_list)</argsstring>
        <name>cylpa_olm_init</name>
        <param>
          <type><ref kindref="compound" refid="structolm__t">olm_t</ref> *</type>
          <declname>olm</declname>
        </param>
        <param>
          <type>const struct ol_desc *</type>
          <declname>ol_list</declname>
        </param>
        <briefdescription>
<para>Offload Manager initialization function. </para>        </briefdescription>
        <detaileddescription>
<para>Initialize the Offload Manager with a NULL-terminated list of offload descriptors (instance context, function pointers and instance configuration).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ol_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the ol_list structure <ref kindref="compound" refid="structol__desc__t">ol_desc_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1ga7836ab92d6d0ddd5d44466fccf002849" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int cylpa_olm_init_ols</definition>
        <argsstring>(olm_t *olm, void *whd, void *ip)</argsstring>
        <name>cylpa_olm_init_ols</name>
        <param>
          <type><ref kindref="compound" refid="structolm__t">olm_t</ref> *</type>
          <declname>olm</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>ip</declname>
        </param>
        <briefdescription>
<para>This function initializes the Offload Manager. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to whd </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ip</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to ip</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to whd.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ip</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to ip. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="269" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="100" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1ga8c9412d2234895a6fc4e1c2614a6d8bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_deinit_ols</definition>
        <argsstring>(olm_t *olm)</argsstring>
        <name>cylpa_olm_deinit_ols</name>
        <param>
          <type><ref kindref="compound" refid="structolm__t">olm_t</ref> *</type>
          <declname>olm</declname>
        </param>
        <briefdescription>
<para>Offload Manager de-initialization function. </para>        </briefdescription>
        <detaileddescription>
<para>Call the de-initialization function for each offload.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
Call the de-initialization function for each offload.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="304" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1gab4dcb5ae5b25ead61ec5ce916c01502b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_deinit</definition>
        <argsstring>(olm_t *olm)</argsstring>
        <name>cylpa_olm_deinit</name>
        <param>
          <type><ref kindref="compound" refid="structolm__t">olm_t</ref> *</type>
          <declname>olm</declname>
        </param>
        <briefdescription>
<para>Offload Manager de-init and free resources. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
Offload Manager de-init and free resources.</para><para>Initialize each offload in the offload list by calling each offload's initialization function (whd pointer is passed for IOVAR calls, and network interface for ip). If an offload initialization fails, stop and deinitialize any initialized offloads and return the result code of the failing initialization function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="200" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="190" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="116" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1gaa3abc32f50fd00de87b83e957ab68ce8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_configure_wlan_pmode</definition>
        <argsstring>(void *whd, uint32_t value, bool min_power)</argsstring>
        <name>cylpa_olm_configure_wlan_pmode</name>
        <param>
          <type>void *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>min_power</declname>
        </param>
        <briefdescription>
<para>Configure wlan low power mode when going to sleep and restore it default when awake. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the whd interface </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>: The iovar value to be set into WLAN f/w </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>min_power</parametername>
</parameternamelist>
<parameterdescription>
<para>: boolean min_power set to true ( when LPA is configuring for low power) else false ( i.e default value applied)</para></parameterdescription>
</parameteritem>
</parameterlist>
Configure wlan low power mode when going to sleep and restore it default when awake.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the whd interface.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The iovar value to be set ( in ms)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>min_power</parametername>
</parameternamelist>
<parameterdescription>
<para>boolean value (true) if minimum PM2 value else (false) for defualt value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="462" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="432" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="127" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__high__level_1ga26babb6f33e2550422222adac368457e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_init_wlan_config</definition>
        <argsstring>(void *whd)</argsstring>
        <name>cylpa_olm_init_wlan_config</name>
        <param>
          <type>void *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
<para>Configure wlan for low power using IOVAR(s) called once after cylpa_olm_init. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>: The pointer to the whd interface</para></parameterdescription>
</parameteritem>
</parameterlist>
Configure wlan for low power using IOVAR(s) called once after cylpa_olm_init.</para><para>This includes following steps:<orderedlist>
<listitem><para>set the bcntrim iovar value ( LPA_BCNTRIM)</para></listitem><listitem><para>set the bcn_wait_prd iovar value ( LPA_BCN_WAIT_PERIOD)</para></listitem><listitem><para>set the bcn_reacquire_start iovar value ( LPA_BCN_REACQUIRE_START)</para></listitem><listitem><para>set the roam_time_thresh iovar value ( LPA_ROAM_TIME_THRESHOLD )</para></listitem></orderedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>whd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the whd interface. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="413" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="378" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1gad72047bf5ca91a1c3b3e1f99b07f6e77" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_log_get_level</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist)</argsstring>
        <name>ol_log_get_level</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <briefdescription>
<para>This function gets log level for a facility. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: currently set log level : -1 BAD ARGS </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="187" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1ga066150dba6c2efeca654cac95808702c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_log_set_level</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist, LOG_OFFLOAD_ASSIST_LEVEL_T level)</argsstring>
        <name>ol_log_set_level</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></type>
          <declname>level</declname>
        </param>
        <briefdescription>
<para>This function sets log level for a facility. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload assist logging level <ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: 0 = success -1 = BAD ARGS </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="198" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_logging</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist, LOG_OFFLOAD_ASSIST_LEVEL_T level, const char *fmt,...)</argsstring>
        <name>ol_logging</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></type>
          <declname>level</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>fmt</declname>
        </param>
        <param>
          <type>...</type>
        </param>
        <briefdescription>
<para>This function prints logging if levels are correct. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload assist logging level <ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>fmt</parametername>
</parameternamelist>
<parameterdescription>
<para>: Format string like printf() </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>...</parametername>
</parameternamelist>
<parameterdescription>
<para>: variable argument list for printf</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: # characters printed </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="210" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Offload Manager API. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />OLM_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OLM_H__<sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdio.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_ol_common.h"</highlight><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />for<sp />ol_info_t<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OLM_LOG_ENABLED<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/*<sp />Number<sp />of<sp />beacons<sp />it<sp />can<sp />miss<sp />1<sp />to<sp />10<sp />is<sp />the<sp />range<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPA_BCNTRIM<sp />9</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*<sp />Beacon<sp />wait<sp />period<sp />in<sp />milli-seconds<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPA_BCN_WAIT_PERIOD<sp />10</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*<sp />Time<sp />for<sp />beacon<sp />require<sp />in<sp />seconds<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPA_BCN_REACQUIRE_START<sp />3</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="comment">/*<sp />Roam<sp />time<sp />threshold<sp />should<sp />be<sp />higher<sp />than<sp />LPA_BCN_REACQUIRE_START</highlight></codeline>
<codeline lineno="41"><highlight class="comment"><sp />*<sp />value<sp />in<sp />seconds</highlight></codeline>
<codeline lineno="42"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPA_ROAM_TIME_THRESHOLD<sp />4</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="46"><highlight class="comment"><sp />*<sp />PM2<sp />return<sp />to<sp />sleep<sp />time<sp />for<sp />Max<sp />Power<sp />Savings<sp /><sp />(<sp />in<sp />ms)</highlight></codeline>
<codeline lineno="47"><highlight class="comment"><sp />*<sp />Min<sp />should<sp />be<sp />PM2_SLEEP_RET_TIME_MIN<sp />(10<sp /><sp />WHD<sp />allowed)</highlight></codeline>
<codeline lineno="48"><highlight class="comment"><sp />*<sp />Max<sp />should<sp />be<sp />PM2_SLEEP_RET_TIME_MAX<sp />(2000<sp />WHD<sp />allowed)</highlight></codeline>
<codeline lineno="49"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#define<sp />LPA_PM2_SLEEP_RET_TIME<sp /><sp />10</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="53"><highlight class="comment">*<sp />LPA<sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="54"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="58"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="keyword">struct<sp /></highlight><highlight class="normal">ol_desc;</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="65" refid="structolm__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">olm</highlight></codeline>
<codeline lineno="66"><highlight class="normal">{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">ol_desc<sp />*ol_list;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structol__info__t">ol_info_t</ref><sp />ol_info;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal">}<sp /><ref kindref="compound" refid="structolm__t">olm_t</ref>;</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="75"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="76"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="80"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1ga22f9efd980cb8dd6b081967a217c05c9">cylpa_olm_init</ref>(<ref kindref="compound" refid="structolm__t">olm_t</ref><sp />*olm,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp />ol_desc<sp />*ol_list);</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1ga7836ab92d6d0ddd5d44466fccf002849">cylpa_olm_init_ols</ref>(<ref kindref="compound" refid="structolm__t">olm_t</ref><sp />*olm,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*whd,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*ip);</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1ga8c9412d2234895a6fc4e1c2614a6d8bd">cylpa_olm_deinit_ols</ref>(<ref kindref="compound" refid="structolm__t">olm_t</ref><sp />*olm);</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1gab4dcb5ae5b25ead61ec5ce916c01502b">cylpa_olm_deinit</ref>(<ref kindref="compound" refid="structolm__t">olm_t</ref><sp />*olm);</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1gaa3abc32f50fd00de87b83e957ab68ce8">cylpa_olm_configure_wlan_pmode</ref><sp />(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*whd<sp />,<sp />uint32_t<sp />value,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />min_power<sp />);</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__high__level_1ga26babb6f33e2550422222adac368457e">cylpa_olm_init_wlan_config</ref><sp />(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*whd<sp />);</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="142"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="145"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaaa94b6b90f820054e84209421a8daa735">LOG_OLA_OLM</ref><sp />=<sp />0,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa24fcf370e1b12cf30f9af2337bbad284">LOG_OLA_ARP</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaa7985d1e348db8f46ab2c7b99b8c7bda4">LOG_OLA_PF</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaae7cbadaf0dc8ae8f78fa67c4c9303dbd">LOG_OLA_TKO</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaed8d713d5472a20438e48a958d960daaaa6ad746031a25a3f74efdcf4b64c3d27">LOG_OLA_MAX_INDEX</ref><sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref>;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal">{</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa885ca3b24af3b644a5c3c9ece21d5857">LOG_OLA_LVL_OFF</ref><sp />=<sp />0,<sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa28cfe3ac0a59e4b1eb5fcc8bb66ea448">LOG_OLA_LVL_ERR</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa909182644928c71917421d3c391f7e01">LOG_OLA_LVL_WARNING</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa0c0311889c1af41cf2a83fed72e84d95">LOG_OLA_LVL_NOTICE</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caaae0aaa77cdc5cc4cb182b6895180bc06">LOG_OLA_LVL_INFO</ref>,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa26b3868238e0db241dad3cb0fd4fa6c2">LOG_OLA_LVL_DEBUG</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__loglevel__enum_1ggaa45e959559f8cd7cad6413f0f6e759caa3982463409fd7b06f63a041b2bf3dc36">LOG_OLA_LVL_MAX_INDEX</ref><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="166"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref>;</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="preprocessor">#if<sp />defined<sp />(OLM_LOG_ENABLED)</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="174"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="176"><highlight class="comment"><sp />*<sp />OL_LOG<sp />Debug<sp />verbosity<sp />settings</highlight></codeline>
<codeline lineno="177"><highlight class="comment"><sp />*/</highlight></codeline>
<codeline lineno="187"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__log__level_1gad72047bf5ca91a1c3b3e1f99b07f6e77">ol_log_get_level</ref>(LOG_OFFLOAD_ASSIST_T<sp />assist);</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__log__level_1ga066150dba6c2efeca654cac95808702c">ol_log_set_level</ref>(LOG_OFFLOAD_ASSIST_T<sp />assist,<sp />LOG_OFFLOAD_ASSIST_LEVEL_T<sp />level);</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f">ol_logging</ref>(LOG_OFFLOAD_ASSIST_T<sp />assist,<sp />LOG_OFFLOAD_ASSIST_LEVEL_T<sp />level,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*fmt,<sp />...);</highlight></codeline>
<codeline lineno="211"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="preprocessor">#define<sp />OL_LOG(...)<sp />ol_logging(__VA_ARGS__)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="217"><highlight class="preprocessor">#define<sp />OL_LOG_OLM(...)<sp />ol_logging(LOG_OLA_OLM,<sp />__VA_ARGS__)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="218"><highlight class="preprocessor">#define<sp />OL_LOG_ARP(...)<sp />ol_logging(LOG_OLA_ARP,<sp />__VA_ARGS__)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="219"><highlight class="preprocessor">#define<sp />OL_LOG_PF(...)<sp />ol_logging(LOG_OLA_PF,<sp />__VA_ARGS__)<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="220"><highlight class="preprocessor">#define<sp />OL_LOG_TKO(...)<sp />ol_logging(LOG_OLA_TKO,<sp />__VA_ARGS__)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="222"><highlight class="preprocessor">#else<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />next<sp />section<sp />is<sp />NOT<sp />defined(MBED_CONF_APP_OLM_TEST)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ol_log_get_level(assist)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />-<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /><highlight class="preprocessor">#define<sp />ol_log_set_level(assist,<sp />level)<sp /><sp /><sp /><sp /><sp />-<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /><highlight class="comment">/*<sp />No<sp />log<sp />printing<sp />when<sp />we<sp />are<sp />not<sp />building<sp />for<sp />TEST_CONSOLE<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_LOG(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_LOG_OLM(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_LOG_ARP(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_LOG_PF(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_LOG_TKO(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /></highlight><highlight class="comment">/*<sp />defined(OLM_LOG_ENABLED)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal">}</highlight></codeline>
<codeline lineno="238"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!OLM_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" />
  </compounddef>
</doxygen>